'
' Character display demo for a Sure 2416 24*16 Dot Matrix Display Board
' Written by Les Johnson for the Proton BASIC Compiler
'
    Include "Amicus18.inc"                  ' Configure the compiler for a PIC18F25K20 at 64MHz. i.e. An Amicus18 board
    Include "2416.inc"                      ' Load the Sure 2416 display interface routines into the program

    Dim bChar As Byte                       ' Holds the character to display
    Dim bIndex As Byte                      ' Holds position information
'-------------------------------------------------------------------------------------
Main:

    bChar = "A"                             ' Pre-load the character with "A"
    Do                                      ' Create an infinite loop
        '
        ' Scan Forward and Top
        '
        For bIndex = 0 To cHT_XMax - 4
            HT_DisplayChar(bIndex,0,bChar)
            DelayMS 100
            HT_DisplayChar(bIndex,0," ")
        Next
        Inc bChar                           ' Increment the character
        If bChar > "Z" Then bChar = "A"     ' Reset when max found
        '
        ' Scan Down and Right
        '
        For bIndex = 1 To cHT_YMax - 7
            HT_DisplayChar(cHT_XMax - 4,bIndex,bChar)
            DelayMS 100
            HT_DisplayChar(cHT_XMax - 4,bIndex," ")
        Next
        Inc bChar                           ' Increment the character
        If bChar > "Z" Then bChar = "A"     ' Reset when max found
        '
        ' Scan Left and Bottom
        '
        For bIndex = cHT_XMax - 4 - 1 To 0 Step -1
            HT_DisplayChar(bIndex,cHT_YMax - 7,bChar)
            DelayMS 100
            HT_DisplayChar(bIndex,cHT_YMax - 7," ")
        Next
        Inc bChar                           ' Increment the character
        If bChar > "Z" Then bChar = "A"     ' Reset when max found
        '
        ' Scan Up and Left
        '
        For bIndex = cHT_YMax - 7 - 1 To 1 Step -1
            HT_DisplayChar(0,bIndex,bChar)
            DelayMS 100
            HT_DisplayChar(0,bIndex," ")
        Next
        Inc bChar                           ' Increment the character
        If bChar > "Z" Then bChar = "A"     ' Reset when max found
    Loop                                    ' Do it forever


