'
' Line demo for a Sure 2416 24*16 Dot Matrix Display Board
' Written by Les Johnson for the Proton BASIC Compiler
'
    Include "Amicus18.inc"              ' Configure the compiler for a PIC18F25K20 at 64MHz. i.e. An Amicus18 board
    Include "2416.inc"                  ' Load the Sure 2416 display interface routines into the program

    Dim bIndex As Byte                  ' Holds the position of the line
'-------------------------------------------------------------------------------------
Main:
    tPixelColor = tPixelXor             ' Set the pixel to Xor mode
    Do                                  ' Create an infinite loop
        '
        ' Sweep Bottom (left to right)
        '
        For bIndex = 0 To 23
            HT_Line(0,0,bIndex,15)
            DelayMS 20
            HT_Line(0,0,bIndex,15)
        Next
        '
        ' Sweep Left (top to bottom)
        '
        For bIndex = 0 To 15
            HT_Line(23,15,0,bIndex)
            DelayMS 20
            HT_Line(23,15,0,bIndex)
        Next
        '
        ' Sweep Right (bottom to top)
        '
        For bIndex = 14 To 0 Step - 1
            HT_Line(0,15,23,bIndex)
            DelayMS 20
            HT_Line(0,15,23,bIndex)
        Next
        '
        ' Sweep Bottom (left to right)
        '
        For bIndex = 0 To 21
            HT_Line(23,0,bIndex,15)
            DelayMS 20
            HT_Line(23,0,bIndex,15)
        Next
        '
        ' Sweep Top (right to left)
        '
        For bIndex = 22 To 0 Step -1
            HT_Line(23,15,bIndex,0)
            DelayMS 20
            HT_Line(23,15,bIndex,0)
        Next
        '
        ' Sweep Right (bottom to top)
        '
        For bIndex = 14 To 0 Step - 1
            HT_Line(0,0,23,bIndex)
            DelayMS 20
            HT_Line(0,0,23,bIndex)
        Next
        '
        ' Sweep Left (top to bottom)
        '
        For bIndex = 1 To 15
            HT_Line(23,0,0,bIndex)
            DelayMS 20
            HT_Line(23,0,0,bIndex)
        Next
        '
        ' Sweep Top (right to left)
        '
        For bIndex = 22 To 0 Step -1
            HT_Line(0,15,bIndex,0)
            DelayMS 20
            HT_Line(0,15,bIndex,0)
        Next
    Loop                                ' Do it forever

