'
' String display demo for a Sure 2416 24*16 Dot Matrix Display Board
' Written by Les Johnson for the Proton BASIC Compiler
'
    Include "Amicus18.inc"                  ' Configure the compiler for a PIC18F25K20 at 64MHz. i.e. An Amicus18 board
    Include "2416.inc"                      ' Load the Sure 2416 display interface routines into the program

    Dim wCounter As Word                    ' Holds the counter value
    Dim sDispString As String * 10          ' The string to display
'-------------------------------------------------------------------------------------
Main:

    wCounter = 0                            ' Clear the counting variable
    Do                                      ' Create n infinite loop
        sDispString = Str$ Dec,wCounter     ' Convert the counter into a string
        HT_DisplayString(0,0,sDispString)   ' Display the string at the top of the matrix

        sDispString = Str$ Dec,-wCounter    ' Convert the inverse of the counter into a string
        HT_DisplayString(0,8,sDispString)   ' Display the string at the bottom of the matrix
        Inc wCounter                        ' Increment the counter variable
        DelayMS 100                         ' A small delay to see what's going on
    Loop                                    ' Do it forever


